org.keycloak.connections.jpa.updater.liquibase

## Class LiquibaseJpaUpdaterProviderFactory

- java.lang.Object
- - org.keycloak.connections.jpa.updater.liquibase.LiquibaseJpaUpdaterProviderFactory

- All Implemented Interfaces:
    JpaUpdaterProviderFactory, ProviderFactory<JpaUpdaterProvider>

      public class LiquibaseJpaUpdaterProviderFactory
      extends Object
      implements JpaUpdaterProviderFactory

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiquibaseJpaUpdaterProviderFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` This is called when the server shuts down.
    `JpaUpdaterProvider` | `create(KeycloakSession session)`
    `String` | `getId()`
    `void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LiquibaseJpaUpdaterProviderFactory

          public LiquibaseJpaUpdaterProviderFactory()

  - ### Method Detail

    - #### create

          public JpaUpdaterProvider create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<JpaUpdaterProvider>`

    - #### init

          public void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<JpaUpdaterProvider>`

    - #### postInit

          public void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<JpaUpdaterProvider>`

    - #### close

          public void close()

      Description copied from interface: `ProviderFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `ProviderFactory<JpaUpdaterProvider>`

    - #### getId

          public String getId()

      Specified by:
        `getId` in interface `ProviderFactory<JpaUpdaterProvider>`

Copyright © 2016 JBoss by Red Hat. All rights reserved.